Subject: [Gen-art] RE: Gen-ART review of draft-schoenw-snmp-ether-01.txt

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Tue, 26 Sep 2006 14:13:48 +0300

David and Cullen,

Version 02 is now out. Can you please check that the issue is being
addressed to your satisfaction in the new revision? 

Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Monday, September 25, 2006 4:22 PM
> To: [email-masked]; [email-masked]; [email-masked]
> Cc: [email-masked]; Romascanu, Dan (Dan)
> Subject: Gen-ART review of draft-schoenw-snmp-ether-01.txt
> 
> I have been selected as the General Area Review Team 
> (Gen-ART) reviewer for this draft (for background on Gen-ART, 
> please see http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html). 
> 
> Please wait for direction from your document shepherd or AD 
> before posting a new version of the draft. 
> 
> Document: draft-schoenw-snmp-ether-01.txt
> Reviewer: David L. Black
> Review Date: 25 Sept 2006
> IESG Telechat date: 28 Sept 2006 
> 
> Summary:
> This draft is basically ready for publication, but has nits 
> that should be fixed before publication.
> 
> Comments:
> This is a short update to (even shorter) RFC 1089 to define a 
> TC and provide somewhat better explanation of a few things, 
> written by a couple of experts.  The -02 version is in the 
> queue to be posted, but I reviewed the -01 version due to 
> time constraints.
> 
> The -01 version would be ok to publish as-is, but I concur 
> with Cullen Jennings's comment that use of RFC 2119 language 
> is appropriate, and I specifically suggest a couple of 
> "MUST"s in the second paragraph of Section 3.2 to require the 
> use of EtherType hex 814C and use of SNAP with LLC.  I happen 
> to know from history that IEEE is somewhat sensitive about 
> proper EtherType usage.
> 
> IANA needs clarification of what to do about SNMP domain 
> registration - see the IANA comment in the I-D tracker.
> 
> Thanks,
> --David
> ----------------------------------------------------
> David L. Black, Senior Technologist
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
> 

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 26 Sep 2006 13:19:37 +0200

> addressed to your satisfaction in the new revision? 

I received the comment concerning the "MUST" language after submitting
the -02 version and hence this change is not yet included. Here is once
again the new text (in case you want to put it into the RFC Editor note):

   When serialized SNMP messages are sent in IEEE 802.3 frames (and in
   other IEEE 802 MAC frame types that can natively represent Ethernet
   type values), the Ethernet type field value of 33100 (hexadecimal
   814C) MUST be used as the link layer protocol identifier.  In IEEE
   802 LANs that use LLC as the means of link layer protocol
   identification, such as IEEE 802.11 Wireless LANs, the SNAP
   encapsulation method described in subclause 10.5 "Encapsulation of
   Ethernet frames over LLC" in [IEEE802] MUST be used.

/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany